#!/bin/sh -e
PROG=`basename $0`
if [ $# -ne 1 ]; then
	echo -e "Usage: $PROG [RPM_DIR]\n"
	exit 1
fi

RPM_DIR=$1

echo "Removing old data"
rm -rf main devel tests
mkdir -p main devel tests

unpack() {
	echo "Unpacking '$1' package to './$1'"
	pushd $1
	rpm2cpio "$2" | cpio -id
	popd
}

unpack "main" "$RPM_DIR"/pvr-mdfld-1*.rpm
unpack "tests" "$RPM_DIR"/pvr-mdfld-tests*.rpm
unpack "devel" "$RPM_DIR"/pvr-mdfld-devel*.rpm

